Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 3749 - /usr/lib/sendmail-cf/ostype/linux.m4 accidently defines args for procmail
Summary: /usr/lib/sendmail-cf/ostype/linux.m4 accidently defines args for procmail
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: sendmail
Version: 6.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Florian La Roche
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-06-26 18:36 UTC by caret
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-09-01 13:06:03 UTC


Attachments (Terms of Use)

Description caret 1999-06-26 18:36:47 UTC
In /usr/lib/sendmail-cf/ostype/linux.m4, the definitions for
LOCAL_MAILER_FLAGS and LOCAL_MAILER_ARGS are supposedly
commented out, however, a `#' doesn't begin a comment in m4;
that is done with either a `divert(-1)' or a `dnl'.  The
result is that if you don't have a `MAILER(procmail)' in
your mc file, sendmail will try to invoke /bin/mail with
procmail's arguments.

The fix is to replace the `#'s with `dnl's.

Comment 1 leduc 1999-07-20 18:40:59 UTC
I have been having trouble with sendmail since I upgraded to 6.0.
Every now and then it wouldn't run.  I'd get: 431  0.0  0.0     0    0
?        Z    13:19   0:00 [sendmail <defunct>]

I couldn't kill it, nor restart sendmail.  I had to reboot.

This would allow me to send outgoing mail, but incoming would get:
fetchmail: reading message 35 of 54 (2643 octets) .fetchmail: SMTP
connect to localhost failed
fetchmail: SMTP transaction error while fetching from groke

I just edited the file as indicated, and then used linuxconf to
regenerate the sendmail.cf file.

Poof! All works.

I STRONGLY recommend that you put out  a new version of sendmail
immediately. I think it is positively negligent that you had a
solution, and have not supplied any relief to users.

Ryan

Comment 2 Jeff Johnson 1999-09-01 13:06:59 UTC
Fixed in sendmail-8.9.3-15.


Note You need to log in before you can comment on or make changes to this bug.